Bug 14827 - gpm package with security fix won't build
gpm package with security fix won't build
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: gpm (Show other bugs)
6.2
All Linux
medium Severity medium
: ---
: ---
Assigned To: Preston Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-28 18:09 EDT by Michael Jennings (KainX)
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-07-28 18:09:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Jennings (KainX) 2000-07-28 18:09:43 EDT
rpm --rebuild on gpm-1.19.3-0.6.x.src.rpm fails.  The following patch fixes
it.

--- gpm.spec      Wed Jul 26 12:12:33 2000
+++ gpm.spec.new  Fri Jul 28 15:09:43 2000
@@ -64,7 +64,8 @@
 PATH=/sbin:$PATH:/usr/sbin:$PATH
 
 mkdir -p %{buildroot}%{_datadir}/emacs/site-lisp
-%makeinstall lispdir=%{buildroot}%{_datadir}/emacs/site-lisp
+mkdir -p %{buildroot}%{_mandir}/man1 %{buildroot}%{_bindir}
+make install prefix=%{buildroot}%{_prefix}
lispdir=%{buildroot}%{_datadir}/emacs/site-lisp
 
 install -m644 doc/gpm-root.1 %{buildroot}%{_mandir}/man1
 install -m644 gpm-root.conf %{buildroot}/etc
Comment 1 Ngo Than 2000-09-14 10:33:23 EDT
you have to upgrade rpm-3.0.5-9.6x first.
It will fix this problem.  The new rpm supports macro %makeinstall .

Note You need to log in before you can comment on or make changes to this bug.